Bug 165382 - openoffice crashes on print
openoffice crashes on print
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-08 14:34 EDT by Adam Pribyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.9.123-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-09 04:58:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2005-08-08 14:34:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.10) Gecko/20050717

Description of problem:
OpenOffice.org crashes when printing.

Version-Release number of selected component (if applicable):
openoffice.org-core-1.9.117-3.1.0.fc4

How reproducible:
Always

Steps to Reproduce:
1.Open openoffice
2.Type blahblahblah...
3.File/Print... generic printer
  

Actual Results:  0x443a4b96: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db96
0x443a53e4: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3e4
0xffffe500:  + 0x500 (__kernel_sigreturn + 0x0)
0x5876a1d2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1701d2
0x44aba5a2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x825a2
0x44b49af2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x111af2 (Printer::Error() + 0x12)
0x44b08e4d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xd0e4d
0x44b0902e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xd102e
0x44aba5a2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x825a2
0x44ac613e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e13e (Timer::Timeout() + 0x10)
0x44ac64b8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e4b8
0x55bd1fe5: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3efe5
0x55bd1fd0: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3efd0 (SalData::Timeout() const + 0x24)
0x557d0352: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa352
0xb3af06: /usr/lib/libglib-2.0.so.0 + 0x24f06
0xb393ee: /usr/lib/libglib-2.0.so.0 + 0x233ee (g_main_context_dispatch + 0x1dc)
0xb3c3f6: /usr/lib/libglib-2.0.so.0 + 0x263f6
0xb3c8d8: /usr/lib/libglib-2.0.so.0 + 0x268d8 (g_main_context_iteration + 0x66)
0x557d0535: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa535
0x55bd8da1: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45da1 (X11SalInstance::Yield(unsigned char) + 0x29)
0x44ac091c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8891c (Application::Yield() + 0x50)
0x44ac095a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8895a (Application::Execute() + 0x26)
0x8065670: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x1d670 (desktop::Desktop::Main() + 0x149a)
0x44ac5d49: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8dd49 (SVMain() + 0x45)
0x8060723: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x18723 (sal_main + 0x47)
0x446de6: /lib/libc.so.6 + 0x14de6 (__libc_start_main + 0xc6)
0x8060659: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x18659 (Window::RequestHelp(HelpEvent const&) + 0x31)


Expected Results:  Printout.

Additional info:
Comment 1 Caolan McNamara 2005-08-08 15:02:36 EDT
I think I know this one, it's a crash with the print error dialog actually :-),
i.e. when there's a problem printing and the error dialog attempts to display
then it crashes. Should be fixed in 1.9.122-3 rawhide, will backport to fc4 soon.
Comment 2 Adam Pribyl 2005-08-08 15:05:40 EDT
Yep, there is no printer queue defined. Thanks for prompt response.
Comment 3 Caolan McNamara 2005-08-09 04:58:36 EDT
fixed in rawhide 1.9.123, will backport to fc4 soon

Note You need to log in before you can comment on or make changes to this bug.